---
- name: Make sure we have a 'wheel' group in CentoOS
  group:
    name: wheel
    state: present
  when: ansible_distribution == 'CentOS'

- name: Make sure we have a 'sudo' group in Debian
  group:
    name: sudo
    state: present
  when: ansible_distribution == 'Debian'  

- name: Allow 'wheel' group to have passwordless sudo in CentoOS
  lineinfile:
    dest: /etc/sudoers
    state: present
    regexp: '^%wheel'
    line: '%wheel ALL=(ALL) NOPASSWD: ALL'
    validate: visudo -cf %s
  when: ansible_distribution == 'CentOS'  

- name: Allow 'sudo' group to have passwordless sudo in Debian
  lineinfile:
    dest: /etc/sudoers
    state: present
    regexp: '^%sudo'
    line: '%sudo ALL=(ALL) NOPASSWD: ALL'
    validate: visudo -cf %s
  when: ansible_distribution == 'Debian'  

- name: Create user accounts in CentoOS
  user:
    name: "{{ item.name }}"
    groups: wheel
    append: yes
  with_items: "{{ ssh_users }}"
  when: ansible_distribution == 'CentOS'  

- name: Create user accounts in Debian
  user:
    name: "{{ item.name }}"
    groups: sudo
    append: yes
    shell: /bin/bash
  with_items: "{{ ssh_users }}"
  when: ansible_distribution == 'Debian' 

- name: Add authorized keys
  authorized_key:
    user: "{{ item.name  }}"
    key:  "{{ item.key  }}"
  with_items: "{{ ssh_users }}"

- name: Restart service httpd, in all cases CentoSO
  service:
    name: sshd
    state: restarted
  when: ansible_distribution == 'CentOS' 

- name: Restart service httpd, in all cases Debian
  service:
    name: ssh
    state: restarted
  when: ansible_distribution == 'Debian' 